/*:root
{
}*/
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@400;700&display=swap');

/* Set base font-family */
* {
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  font-size: 16px;
}

[data-theme='dark'] {
  --color-bg: black;
  --text-primary: white;
  --text-secondary: grey;
  --accent: darkred;
  --side-panel-bg: #252858;
  --dark-display: inline;
  --light-display: none;
  --window-background: linear-gradient(to bottom right, #0f1023, #4b0224);
  --header-background: #e70068;
  --dropdown-list-background: #454545;

  /* Search Catalogue Colour */
  --sc-form-background: #0f1023;
  --sc-place-holder-colour: #909090;
}

[data-theme='light'] {
  --color-bg: white;
  --text-primary: black;
  --text-secondary: royalblue;
  --accent: purple;
  --side-panel-bg: #040034;
  --dark-display: none;
  --light-display: inline;
  --window-background: white;
  --header-background: #e70068;
  --dropdown-list-background: #ffffff;

  /* Search Catalogue Colours */
  --sc-form-background: white;
  --sc-place-holder-colour: #707070;
}

.page-body {
  background-color: var(--color-bg);
  font-size: 1em;
  min-height: 100vh;
  min-width: 1280px;
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  padding: 0px 0px 0px 0px;
}

.header {
  flex: 0 0 0px;
  min-height: 120px;
  display: flex;
  flex-direction: row;
  width: 100%;
}

.header-icon {
  flex: 0 0 0px;
  /*margin: 0 60px;*/
}

.horizontal-icon-bar {
  flex: 1 1;
  display: flex;
  flex-direction: row;
}

.horizontal-icon-bar-flex-column {
  display: flex;
  flex-direction: column;
}

.horizontal-icon-bar-language-holder {
  flex: 1 1 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: transparent;
  border: solid 1pt transparent;
}

.horizontal-icon-bar-language-holder[data-menu-displayed='T'] {
  border: solid 1pt var(--text-primary);
}

.language-text {
  flex: 1 1;
  color: var(--text-primary);
  text-align: right;
}

.language-arrow {
  flex: 0 0;
  color: var(--side-panel-bg);
  text-align: right;
}

.language-dropdown-menu {
  background-color: var(--dropdown-list-background);
  text-align: center;
  border: solid 1pt black;
  padding: 5px 5px 5px 5px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
}

.input-field {
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-primary);
  color: var(--text-primary);
  padding: 0px 5px 0px 5px;
}

.input-field::placeholder {
  color: var(--sc-place-holder-colour);
  opacity: 1;
}

.input-field[data-disabled='T'] {
  color: var(--sc-place-holder-colour);
  border: 1px solid var(--sc-place-holder-colour);
}

.input-field[data-error='T'] {
  color: white;
  background-color: #700000;
}

.listbox {
  flex: 0 0 auto;
  width: 100%;
  height: 36px;
  background-color: transparent;
  border: 1px solid var(--text-primary);
  color: var(--text-primary);
}

.listbox[data-placeholder-shown='T'] {
  color: var(--sc-place-holder-colour);
}

.listbox[data-disabled='T'] {
  color: var(--sc-place-holder-colour);
  border: 1px solid var(--sc-place-holder-colour);
}

.ska-logo-container-dark {
  float: right;
  width: 150pt;
  height: 58pt;
  margin: 0pt 8pt 0pt 8pt;
  text-align: center;
  display: var(--dark-display);
}

.ska-logo-container-light {
  float: right;
  width: 150pt;
  height: 58pt;
  margin: 0pt 8pt 0pt 8pt;
  text-align: center;
  display: var(--light-display);
}

.text-colour {
  color: var(--text-primary);
}

.header-rows {
  flex: 1 1 0px;
  display: flex;
  flex-direction: column;
}

.header-line-one {
  flex: 0 0 0px;
  margin: 0px;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.header-text {
  color: var(--text-primary);
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  text-align: left;
  font-size: 18px;
  font-weight: 800;
}

.header-text-secondary {
  color: var(--text-primary);
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  text-align: left;
  font-size: 18px;
}

.text-container-inner {
  width: 100%;
  font-size: 1em;
}

.animated-gears {
  padding-left: 10px;
  padding-right: 10px;
}

.notebook {
  height: 100%;
  flex: 1 1 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 0px 0px 0px;
  border-radius: 10px;
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  border: none;
  margin-right: 5px;
}

.aladin {
  width: 100%;
  height: 100%;
  margin: 10px 10px 10px 10px;
}

.navigation-icon-container {
  flex: 0 0 auto;
  float: right;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 2px 2px 2px 2px;
  margin-right: 5px;
}

.navigation-icon {
  flex: 0 0 auto;
  margin: 0px 3px 0px 3px;
  background-color: transparent;
  border: none;
}

.logo-bar {
  flex: 0 0 auto;
  float: right;
  height: 100%;
}

.tangerine-logo-container {
  float: right;
  width: 105pt;
  height: 26pt;
  margin: 5pt 8pt 0pt 12pt;
}

.ska-logo-container-big {
  float: right;
  width: 68px;
  height: auto;
  margin: 0pt 0pt 0pt 0pt;
  background-color: white;
  border-radius: 5px;
}

.white-horizontal-separator,
.white-horizontal-separator-thin {
  width: 100%;
  background-color: var(--color-bg);
}

.white-horizontal-separator {
  flex: 0 0 8px;
}

.white-horizontal-separator-thin {
  flex: 0 0 1px;
}

.white-vertical-separator,
.white-vertical-separator-thin {
  height: 100%;
  background-color: var(--color-bg);
}

.transparent-vertical-separator,
.transparent-vertical-separator-thin {
  height: 100%;
  background-color: transparent;
}

.white-vertical-separator,
.transparent-vertical-separator {
  flex: 0 0 8px;
}

.white-vertical-separator-thin,
.transparent-vertical-separator-thin {
  flex: 0 0 1px;
}

.project-space {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  flex: 1 1 0px;
}

.project-button-container {
  background-color: var(--side-panel-bg);
}

.opaque-image {
  opacity: 0.3;
  cursor: default;
}

.opaque-image-slight {
  opacity: 0.6;
  cursor: default;
}

.main-one-column {
  width: 100%;
  height: 100%;
  flex: 0 0 0px;
  display: flex;
  flex-direction: column;
}

.main-columns {
  flex: 0 0 0px;
  display: flex;
  flex-direction: row;
  align-items: top;
  margin-top: 4px;
}

.main-rows {
  flex: 1 1 0px;
  display: flex;
  flex-direction: column;
  align-items: top;
  margin-top: 4px;
  height: 100%;
}

.main-rows-tmp {
  flex: 1 1 0px;
  display: flex;
  flex-direction: column;
  align-items: top;
  margin-top: 4px;
  height: 100%;
}

.column-content {
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
}

.column-expanding {
  flex: 1 1 5px;
}

.column-first,
.column-middle,
.column-last {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 0 0 auto;
}

.column-first,
.column-middle {
  margin-right: 4px;
}

.column-middle,
.column-last {
  margin-left: 4px;
}

.empty-window {
  height: 100%;
  flex: 1 1;
  border-radius: 10px;
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  /*margin-right: 5px;*/
}

.section[data-visible='T'] {
  height: 100%;
  flex: 1 1;
  display: flex;
  flex-direction: row;
  padding: 0 10px;
}

.section[data-visible='F'] {
  display: none;
}

.flex-5px {
  flex: 0 0 5px;
}

.flex-10px {
  flex: 0 0 10px;
}

.flex-15px {
  flex: 0 0 15px;
}

.flex-20px {
  flex: 0 0 20px;
}

.flex-40px {
  flex: 0 0 40px;
}

.label-filled {
  width: 100%;
  height: 24px;
  background-color: #666666;
  border: 2px solid #666666;
  display: flex;
  text-align: center;
  flex-direction: row;
  align-items: center;
}

.label-filled-text {
  font-size: 11pt;
  color: white;
  margin-left: 10px;
}

.label {
  width: 100%;
  height: 24px;
  display: flex;
  text-align: center;
  flex-direction: row;
  align-items: center;
}

.label-text {
  font-size: 10pt;
  color: black;
  margin-left: 10px;
}

.rotated-text-box {
  transform: rotate(90deg);
  height: 40px;
  width: 120px;
  display: flex;
  align-items: center;
  margin: 50px 0px 0px 0px;
}

.horizontal-expander,
.flex-expander {
  flex: 1 1;
}

.flex-column {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}

.flex-row {
  display: flex;
  flex-direction: row;
  flex: 1 1;
}

.flex-expanding {
  flex: 1 1 0px;
}

.flex-fixed {
  flex: 0 0 auto;
}

.check-label {
  width: 130px;
  height: 35px;
  align-items: center;
  display: flex;
  flex-direction: row;
}

.loading-graphic[data-loading='T'] {
  display: flex;
  flex-direction: row;
  font-size: 11pt;
  color: var(--text-primary);
  width: 100%;
  height: 60px;
  align-items: center;
  padding-top: 10px;
}

.loading-graphic[data-loading='F'] {
  display: none;
}

.dropdown-list-item {
  width: 220px;
  color: var(--color-fg);
  height: 32px;
  background-color: transparent;
  border: none;
  display: flex;
  flex-direction: row;
  border-radius: 5px;
}

.dropdown-list-item:hover {
  background-color: #0d64bf;
  transition: 0.3s;
  color: white;
}

.dropdown-list-item-text {
  flex: 1 1;
  justify-content: right;
  height: 24px;
  margin: 2px 8px 2px 2px;
  display: flex;
  align-items: center;
}

.dropdown-list-item-text[data-align='L'] {
  justify-content: left;
}

.dropdown-list-item-image {
  float: right;
  margin: 2px 2px 2px 2px;
  display: flex;
  height: 24px;
  align-items: center;
  text-align: center;
}

/*
//
//	F I L T E R   B O X
//
*/

.filter-combobox-container,
.filter-textbox-container {
  margin: 2px 15px 10px 15px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-family: 'Noto Sans', Verdana, Geneva, Tahoma, sans-serif;
  flex: 0 0;
}

.filter-textbox-container {
  flex: 0 0 34px;
  width: 279px;
}

.filter-textbox {
  width: 100%;
  height: 100%;
  background-color: transparent;
  color: var(--text-primary);
  border: 1px solid var(--text-primary);
  box-sizing: border-box;
  flex: 1 1;
}

.filter-combobox-container {
  flex: 0 0 0px;
  width: 279px;
}
